=== debian/control ===
Source: ros-one-checkerboard-detector
Section: misc
Priority: optional
Maintainer: Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-cv-bridge, ros-one-dynamic-reconfigure, ros-one-eigen-conversions, ros-one-image-geometry, ros-one-jsk-recognition-msgs, ros-one-message-filters, ros-one-posedetection-msgs, ros-one-rosconsole, ros-one-roscpp, ros-one-sensor-msgs, ros-one-tf, ros-one-tf2
Homepage: https://jsk-docs.readthedocs.io/projects/jsk_recognition/en/latest/checkerboard_detector
Standards-Version: 3.9.2

Package: ros-one-checkerboard-detector
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-cv-bridge, ros-one-dynamic-reconfigure, ros-one-dynamic-tf-publisher, ros-one-eigen-conversions, ros-one-image-geometry, ros-one-image-publisher, ros-one-jsk-recognition-msgs, ros-one-message-filters, ros-one-posedetection-msgs, ros-one-rosconsole, ros-one-roscpp, ros-one-sensor-msgs, ros-one-tf, ros-one-tf2
Description: Uses opencv to find checkboards and compute their 6D poses with respect to the image.
 Requires the image to be calibrated. Parameters: display - show the checkerboard detection rect%d_size_x - size of checker in x direction rect%d_size_y - size of checker in y direction grid%d_size_x - number of checkers in x direction grid%d_size_y - number of checkers in y direction There can be more than one grid%d declared, the numbers should grow consecutively starting at 0.
