## ros-one-checkerboard-detector 1.2.19-10jammy.20251208.0033

=== debian/changelog ===
ros-one-checkerboard-detector (1.2.19-10jammy.20251208.0033) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 08 Dec 2025 00:33:54 +0000
