## ros-one-checkerboard-detector 1.2.19-10noble.20251208.1122

=== debian/changelog ===
ros-one-checkerboard-detector (1.2.19-10noble.20251208.1122) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 08 Dec 2025 11:22:55 +0000
