## ros-one-checkerboard-detector 1.2.19-12jammy.20251215.2151

=== debian/changelog ===
ros-one-checkerboard-detector (1.2.19-12jammy.20251215.2151) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 15 Dec 2025 21:51:00 +0000
