## ros-one-checkerboard-detector 1.2.19-12jammy.20260221.2328

=== debian/changelog ===
ros-one-checkerboard-detector (1.2.19-12jammy.20260221.2328) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 21 Feb 2026 23:28:32 +0000
