## ros-one-checkerboard-detector 1.2.19-12noble.20251215.2149

=== debian/changelog ===
ros-one-checkerboard-detector (1.2.19-12noble.20251215.2149) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 15 Dec 2025 21:49:15 +0000
