## ros-one-checkerboard-detector 1.2.19-12noble.20260222.0034

=== debian/changelog ===
ros-one-checkerboard-detector (1.2.19-12noble.20260222.0034) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 22 Feb 2026 00:34:53 +0000
